Bug 12947 - Typo in kdc.conf results in: Unable to load requested database module 'samba'
Typo in kdc.conf results in: Unable to load requested database module 'samba'
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.7.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 11:06 UTC by Marc Muehlfeld
Modified: 2017-08-11 08:25 UTC (History)
2 users (show)

See Also:


Attachments
Patch (871 bytes, patch)
2017-08-06 11:06 UTC, Marc Muehlfeld
no flags Details
Patch for 4.7 (939 bytes, patch)
2017-08-08 18:41 UTC, Marc Muehlfeld
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2017-08-06 11:06:21 UTC
Created attachment 13450 [details]
Patch

The kdc.conf file that samba-tool creates on a DC with MIT Kerberos contains a typo:

> db_modules_dir = /usr/local/samba/lib/krb5/plugins/kdb

The correct name of the parameter is "db_module_dir" (without "s").

With the incorrect parameter, krb5kdc fails to start because it can't find the required samba.so library. The log file then shows the following error:

> krb5kdc: Unable to load requested database module 'samba': plugin symbol 
> 'kdb_function_table' not found - while initializing database for realm 
> SAMDOM.EXAMPLE.COM


The attached patch fixes the problem.
Comment 1 Marc Muehlfeld 2017-08-06 11:10:21 UTC
From the kdc.conf(5) man page:

db_module_dir
        This tag controls where the plugin system looks for
        database modules. The value should be an absolute path.
Comment 2 Marc Muehlfeld 2017-08-08 18:41:01 UTC
Created attachment 13452 [details]
Patch for 4.7
Comment 3 Karolin Seeger 2017-08-11 08:25:04 UTC
Pushed to v4-7-test.
Closing out bug report.

Thanks!